Bug 131449 - LTC11065-Network lost with KERNEL PREEMPTION ON
LTC11065-Network lost with KERNEL PREEMPTION ON
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
alpha Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-01 11:41 EDT by Rama Moorthy
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 10:54:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rama Moorthy 2004-09-01 11:41:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET 
CLR 1.1.4322)

Description of problem:
HI
Network got disconnected when kernel is stressed.
Boeblingen Lab has given a fix for the similar bug: PL090629ASC.This 
may help.

Note:I am not entitled to "Red Hat Enterprise Linux Beta".So i am not 
able to raise a bug under product "Red Hat Enterprise Linux 
Beta".Please change the product to "RedHat Linux Beta"
Thank you and Regards,
Rama Moorthy.K


Version-Release number of selected component (if applicable):
kernel-2.6.8,rpm-4.3.2-0.4,RHEL4 alpha4

How reproducible:
Always

Steps to Reproduce:
1.Use kernel with the "Kernel preemption" feature activated.
2.Do the initial setup for NFS server Run the NFS server say on Linux1
3.Put the stress on kernel by running bonnie(It enables I/O several 
operations).
4.In another linux say Linux2 start NFS client and mount the 
directory from NFS server(large file) and copy the file to the client


Actual Results:  Network should be up

Expected Results:  Network connection lost.Not able to ping.

Additional info:
Comment 1 Arjan van de Ven 2004-09-01 12:23:43 EDT
there is a reason we don't enable preemption.....
Comment 2 IBM Bug Proxy 2004-09-23 06:44:32 EDT
----- Additional Comments From rmoorthy@in.ibm.com  2004-09-23 06:41 EDT -------
Can be closed .As per the bug LTC11064/RH131704 "kerene preemption 
will not be enabled" 
Comment 3 IBM Bug Proxy 2004-09-30 11:31:51 EDT
----- Additional Comments From mgrf@de.ibm.com  2004-09-30 11:29 EDT -------
Kernel pre-emption is not supported yet 
Comment 4 IBM Bug Proxy 2005-06-14 16:19:51 EDT
changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|REJECTED                    |CLOSED




------- Additional Comments From salina@us.ibm.com  2005-06-14 16:14 EDT -------
closing problem per comment #3 

Note You need to log in before you can comment on or make changes to this bug.